Subject: Re: [PATCH 02/10] powerpc: Add device tree fixups for the EFIKA

From: Segher Boessenkool <[email-masked]>
Date: Fri, 16 Feb 2007 17:44:54 +0100

>> The const might cause a warning because prop_set_prop takes a void
>> *value and not
>> a const void *value. I don't know if does need to modify the value or
>> not though.
>
> Ok, there's room for another patch to constify prom_set_prop and all
> callers then :-)

No callers should need changing.  If they do then that's
some bonus bugs fixed ;-)

>> I would have hoped that being local to a __init function the memory 
>> for
>> the initial values would be freed but I might me over optimistic.
>
> Yeah, worth checking the ELF output but I think you are over
> optimistic :-)

There is nothing that makes data in a function in
the .init.text section automagically end up in the
.init.data section -- those names are just names,
for all the tools involved, with no attached meaning.

Segher